Subject: Re: bug#13546: 24.2.92; Error(s) when sending emails

From: "Sebastien Vauban" <[email-masked]>
Date: Wed, 13 Feb 2013 21:20:46 +0100

Eli,

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 12 Feb 2013 19:28:30 +0100
>> 
>> Breakpoint 2, sys_read (fd=6, buffer=0x64b1034 "", count=5) at w32.c:6410
>> 6410    in w32.c
>> (gdb)
>> Continuing.
>> warning: sys_read called when read is in progress
>> warning: reader_thread.SetEvent failed with 6 for fd 6
>> [New Thread 15276.0x6774]
>> warning: reader_thread.SetEvent failed with 6 for fd 3
>> warning: reader_thread.SetEvent failed with 6 for fd 5
>> [New Thread 15276.0x5b0c]
>> [New Thread 15276.0x1898]
>
> It's weird, these messages. I cannot figure out what causes them. I
> see in your screencast that helm launches subprocesses like crazy (it
> looks like every pattern character you type runs another Locate
> process).

I'm glad to have done that screencast. That way, you can feel how my system
reacts, and see I'm not a fool...

> But even if I try simulating such a subprocess pressure, by launching
> another 'locate' command every 100 msec, I cannot reproduce the above
> messages on my system. So some other factor is at work here.
>
> I need more data. Please modify the way you set breakpoint at
> w32.c:6410 as follows:
>
>  (gdb) break w32.c:6410
>  (gdb) commands
>   > bt 4
>   > p fd
>   > p fd_info[fd]
>   > b *cp
>   > continue
>   > end
>
> In addition, please add a 3rd breakpoint, like this:
>
>  (gdb) break w32proc.c:2276
>  (gdb) commands
>   > bt 5
>   > p cp
>   > p cp->wnd
>   > continue
>   > end
>
> Please do this right at the beginning of a fresh session, and please
> post the entire GDB session until it gets to the "unusable" state.
> (You may need to enlarge the Screen Buffer Size property of the cmd
> window in which you run GDB, for it to be able to keep all those
> message and backtraces.) It is very important for me to see all the
> messages and backtraces one after the other, to see how the problem
> develops.
>
> Also, do you per chance have w32-start-process-share-console
> customized to a non-nil value? If so, can you try with it being nil?

  ╭────
  │ w32-start-process-share-console is a variable defined in `C source code'.
  │ Its value is nil
  │ 
  │ Documentation:
  │ When nil, new child processes are given a new console.
  │ When non-nil, they share the Emacs console; this has the limitation of
  │ allowing only one DOS subprocess to run at a time (whether started directly
  │ or indirectly by Emacs), and preventing Emacs from cleanly terminating the
  │ subprocess group, but may allow Emacs to interrupt a subprocess that doesn't
  │ otherwise respond to interrupts from Emacs.
  ╰────

As my Emacs was already quite weak[1], when reading your email, I decided to
attach GDB (I had a rest, for a couple of hours, with all those breaks),
launch a screencast, and try to reproduce problems.

Here for the live demo: http://screencast.com/t/PTVc7yA4u.

For the traces:

--8<---------------cut here---------------start------------->8---
GNU gdb (GDB) 7.5.50.20120815-cvs (cygwin-special)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-cygwin".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Attaching to process 21364
[New Thread 21364.0xce8]
[New Thread 21364.0x64f0]
[New Thread 21364.0x67cc]
[New Thread 21364.0x1a8c]
[New Thread 21364.0x1e78]
[New Thread 21364.0x5930]
[New Thread 21364.0x33a0]
Reading symbols from /cygdrive/c/Program Files (x86)/emacs-24.2.93/bin/emacs.exe...done.
(gdb) break w32.c:6410
Breakpoint 1 at 0x108fca5: file w32.c, line 6410.
(gdb) commands
Type commands for breakpoint(s) 1, one per line.
End with a line saying just "end".
>bt 4
>p fd
>p fd_info[fd]
>b *cp
>continue
>end
(gdb) break w32proc.c:2276
Breakpoint 2 at 0x1035229: file w32proc.c, line 2276.
(gdb) commands
Type commands for breakpoint(s) 2, one per line.
End with a line saying just "end".
>bt 5
>p cp
>p cp->wnd
>continue
>end
(gdb) contin
Continuing.
warning: reader_thread.SetEvent failed with 6 for fd 9
[New Thread 21364.0x4a48]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 21364.0x4a48]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb) p fd_info[2]@64
$1 = {{flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 1559, hnd = 0x2a0,
    cp = 0x1680c60}, {flags = 1555, hnd = 0x550, cp = 0x16816b0}, {flags = 0,
    hnd = 0x0, cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274,
    hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0,
    hnd = 0x4bc, cp = 0x0}, {flags = 0, hnd = 0x3b8, cp = 0x0}, {flags = 0,
    hnd = 0x0, cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274,
    hnd = 0x0, cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274,
    hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {flags = 273,
    hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0, cp = 0x0}, {flags = 0,
    hnd = 0x0, cp = 0x0} <repeats 45 times>}
(gdb) p child_procs[2]@32
$2 = {{fd = 3, pid = -1, char_avail = 0x2a8, char_consumed = 0x2ac,
    thrd = 0x2b0, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 0, dwThreadId = 0}, status = 2, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 11236, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xb706f8, procinfo = {
      hProcess = 0x2bc, hThread = 0x224, dwProcessId = 11236,
      dwThreadId = 22420}, status = -1, chr = 95 '_', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 14008, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x520b7e, procinfo = {
      hProcess = 0x35c, hThread = 0x33c, dwProcessId = 14008,
      dwThreadId = 22852}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 2108, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x360,
      hThread = 0x3e8, dwProcessId = 2108, dwThreadId = 26260}, status = -1,
    chr = 67 'C', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 15080,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x12609e0 <Fset_frame_height+267>, procinfo = {hProcess = 0x398,
      hThread = 0x32c, dwProcessId = 15080, dwThreadId = 19872}, status = -1,
    chr = 110 'n', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 9080, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x4d0920, procinfo = {
      hProcess = 0x4f4, hThread = 0x350, dwProcessId = 9080,
      dwThreadId = 6408}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 10, pid = 25980, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x890a4c, procinfo = {
      hProcess = 0x3d0, hThread = 0x324, dwProcessId = 25980,
      dwThreadId = 20332}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 11, pid = 11832, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xcd06f8, procinfo = {
---Type <return> to continue, or q <return> to quit---
      hProcess = 0x340, hThread = 0x3f4, dwProcessId = 11832,
      dwThreadId = 5448}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 11, pid = 15136, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xce06f8, procinfo = {
      hProcess = 0x344, hThread = 0x374, dwProcessId = 15136,
      dwThreadId = 2732}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 11, pid = 26132, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xcf06f8, procinfo = {
      hProcess = 0x3d4, hThread = 0x3a4, dwProcessId = 26132,
      dwThreadId = 5812}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 11, pid = 15292, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x1cf0926, procinfo = {
      hProcess = 0x330, hThread = 0x298, dwProcessId = 15292,
      dwThreadId = 18320}, status = 3, chr = 110 'n', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 11, pid = 26236, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x30c,
      hThread = 0x390, dwProcessId = 26236, dwThreadId = 8156}, status = -1,
    chr = 67 'C', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 10, pid = 17820,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {
      hProcess = 0x318, hThread = 0x378, dwProcessId = 17820,
      dwThreadId = 10584}, status = -1, chr = 67 'C', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 10, pid = 22248, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x380,
      hThread = 0x3cc, dwProcessId = 22248, dwThreadId = 17100}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 21720,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x12709e0 <Fundo_boundary+120>, procinfo = {hProcess = 0x39c,
      hThread = 0x358, dwProcessId = 21720, dwThreadId = 4960}, status = -1,
---Type <return> to continue, or q <return> to quit---
    chr = 116 't', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 17192,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x12809e0 <fill_gstring_header+1137>, procinfo = {hProcess = 0x3fc,
      hThread = 0x178, dwProcessId = 17192, dwThreadId = 9220}, status = -1,
    chr = 67 'C', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 15248,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x12909e0 <font_parse_family_registry+109>, procinfo = {
      hProcess = 0x3b4, hThread = 0x3d8, dwProcessId = 15248,
      dwThreadId = 15680}, status = -1, chr = 67 'C', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 19696, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x9c0a56, procinfo = {
      hProcess = 0x3f8, hThread = 0x37c, dwProcessId = 19696,
      dwThreadId = 10056}, status = 3, chr = 110 'n', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 15536, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x9d0a56, procinfo = {
      hProcess = 0x314, hThread = 0x3b0, dwProcessId = 15536,
      dwThreadId = 27164}, status = 3, chr = 114 'r', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 11776, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x4c0920, procinfo = {
      hProcess = 0x2e8, hThread = 0x460, dwProcessId = 11776,
      dwThreadId = 6368}, status = -1, chr = 67 'C', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 10, pid = 6700, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x8a05dc, procinfo = {hProcess = 0x4c0, hThread = 0x44c,
      dwProcessId = 6700, dwThreadId = 21396}, status = -1, chr = 106 'j',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 5344, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x4f0920, procinfo = {
      hProcess = 0x4c8, hThread = 0x404, dwProcessId = 5344,
      dwThreadId = 1132}, status = 2, chr = 0 '\000', ovl_read = {
---Type <return> to continue, or q <return> to quit---
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 15040, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x4b0,
      hThread = 0x464, dwProcessId = 15040, dwThreadId = 9588}, status = 2,
    chr = 0 '\000', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 13912,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {
      hProcess = 0x528, hThread = 0x4b8, dwProcessId = 13912,
      dwThreadId = 7364}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 20624, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x520920, procinfo = {
      hProcess = 0x4c4, hThread = 0x48c, dwProcessId = 20624,
      dwThreadId = 16412}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 13792, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x530920, procinfo = {
      hProcess = 0x51c, hThread = 0x52c, dwProcessId = 13792,
      dwThreadId = 12548}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 13300, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x580920, procinfo = {
      hProcess = 0x57c, hThread = 0x518, dwProcessId = 13300,
      dwThreadId = 18344}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 7864, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x590920, procinfo = {
      hProcess = 0x564, hThread = 0x578, dwProcessId = 7864,
      dwThreadId = 13496}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 24404, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5a0920, procinfo = {
      hProcess = 0x490, hThread = 0x3e4, dwProcessId = 24404,
      dwThreadId = 24800}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
---Type <return> to continue, or q <return> to quit---
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 28260, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x458,
      hThread = 0x448, dwProcessId = 28260, dwThreadId = 18524}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = -1, char_avail = 0x21c,
    char_consumed = 0x370, thrd = 0x514, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = 1, chr = 23 '\027', ovl_read = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = 9, pid = -1,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = -1, chr = 21 '\025', ovl_read = {Internal = 0, InternalHigh = 0, {
        {Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}}
(gdb) c
Continuing.
[Switching to Thread 21364.0xce8]

Breakpoint 2, prepare_standard_handles (in=9, out=20, err=20, handles=0x87cc8c)
    at w32proc.c:2285
2285    w32proc.c: No such file or directory.
#0  prepare_standard_handles (in=9, out=20, err=20, handles=0x87cc8c)
    at w32proc.c:2285
#1  0x010d5f36 in child_setup (in=9, out=20, err=20, new_argv=0x87cd00,
    set_pgrp=false, current_dir=132414497) at callproc.c:1255
#2  0x010d4220 in Fcall_process (nargs=8, args=0x88d5e4) at callproc.c:581
#3  0x01014c29 in Ffuncall (nargs=9, args=0x88d5e0) at eval.c:2756
#4  0x010140c3 in Fapply (nargs=6, args=0x88d728) at eval.c:2309
(gdb) No symbol "cp" in current context.

Continuing.
[New Thread 21364.0x232c]

Breakpoint 2, prepare_standard_handles (in=9, out=20, err=20, handles=0x87cc8c)
    at w32proc.c:2285
2285    in w32proc.c
#0  prepare_standard_handles (in=9, out=20, err=20, handles=0x87cc8c)
    at w32proc.c:2285
#1  0x010d5f36 in child_setup (in=9, out=20, err=20, new_argv=0x87cd00,
    set_pgrp=false, current_dir=141459681) at callproc.c:1255
#2  0x010d4220 in Fcall_process (nargs=8, args=0x88d5e4) at callproc.c:581
#3  0x01014c29 in Ffuncall (nargs=9, args=0x88d5e0) at eval.c:2756
#4  0x010140c3 in Fapply (nargs=6, args=0x88d728) at eval.c:2309
(gdb) No symbol "cp" in current context.

Continuing.
[New Thread 21364.0x36c8]
--8<---------------cut here---------------end--------------->8---

>> (gdb) p *cp
>> $9 = {fd = 3, pid = -1, char_avail = 0x318, char_consumed = 0x314, thrd =
>> 0x31c, hwnd = 0x0,
>>   procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId =
>> 0}, status = 1,
>>   chr = 22 '\026', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
>> OffsetHigh = 0},
>
> Not sure if this is important, but every time this breakpoint breaks,
> the character read from the pipe is \026, i.e. Ctrl-V. Does that ring
> any bells?

Not at all. I mean: it's not upon pressing C-v that all my problems occur.
But, yes, I occasionally use C-v, mainly in collapsed Org files, as it works
better than the Page Down key.

Best regards,
  Seb

[1] Everything not displaying any results in Helm-find-files, ao.

[2] DEFINITION NOT FOUND: 0

-- 
Sebastien Vauban